## golang-github-thediveo-enumflag 2.0.7

=== Makefile ===
.PHONY: help clean coverage pkgsite report test vuln chores

help: ## list available targets
	@# Shamelessly stolen from Gomega's Makefile
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-16s\033[0m %s\n", $$1, $$2}'

clean: ## cleans up build and testing artefacts
	rm -f coverage.*

test: ## run unit tests
	go test -v -p=1 -race ./...

report: ## run goreportcard-cli on this module
# from ghcr.io/thediveo/devcontainer-features/goreportcard
	goreportcard-cli -v ./..

coverage: ## gathers coverage and updates README badge
# from ghcr.io/thediveo/devcontainer-features/gocover
	gocover

=== debian/changelog ===
golang-github-thediveo-enumflag (2.0.7-1) unstable; urgency=medium

  * Initial release (Closes: #1116934)

 -- Simon Josefsson <simon@josefsson.org>  Tue, 30 Sep 2025 20:17:23 +0200

=== debian/watch ===
Version: 5
Template: Github
Owner: thediveo
Project: enumflag
Uversionmangle: s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/

## golang-github-thediveo-enumflag 2.1.0

=== debian/changelog ===
golang-github-thediveo-enumflag (2.1.0-1) unstable; urgency=medium

  * Use gbp sign-tags and upstream-vcs-tag

 -- Simon Josefsson <simon@josefsson.org>  Sat, 07 Feb 2026 08:59:16 +0100

golang-github-thediveo-enumflag (2.0.7-2) unstable; urgency=medium

  * Simplify d/watch
  * Bump debian/* copyright years
  * Drop d/.gitignore
  * Drop newgateway pipeline

 -- Simon Josefsson <simon@josefsson.org>  Thu, 05 Feb 2026 16:23:35 +0100

=== debian/control ===
Source: golang-github-thediveo-enumflag
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-onsi-ginkgo-v2-dev <!nocheck>,
 golang-github-sirupsen-logrus-dev <!nocheck>,
 golang-github-spf13-cobra-dev,
 golang-github-thediveo-success-dev <!nocheck>,
 golang-golang-x-exp-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-thediveo-enumflag
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-thediveo-enumflag.git
Homepage: https://github.com/thediveo/enumflag
XS-Go-Import-Path: github.com/thediveo/enumflag

Package: golang-github-thediveo-enumflag-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-spf13-cobra-dev,
 golang-golang-x-exp-dev,
 ${misc:Depends},
Description: enumeration CLI flags (single and slice) (Go library)
 enumflag/v2 is a Golang package which supplements the Golang CLI flag
 packages spf13/cobra (https://github.com/spf13/cobra) and spf13/pflag
 (https://github.com/spf13/pflag) with command-line parameter
 enumeration flags, including support for enumeration slices.
 .
 For instance, users can specify enum flags as --mode=foo or --mode=bar,
 where foo and bar are valid enumeration values. Other values which are
 not part of the set of allowed enumeration values cannot be set and
 raise CLI flag errors.
 .
 This package contains the Go development library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

# bash: cannot set terminal process group (-1): Inappropriate ioctl for device
override_dh_auto_test:
	dh_auto_test -- -skip=TestEnumFlag

override_dh_auto_install:
	dh_auto_install -- --no-binaries

=== debian/watch ===
Version: 5
Template: Github
Owner: thediveo
Project: enumflag
